Bug 1271007 - [abrt] krb5-auth-dialog: strlen(): krb5-auth-dialog killed by SIGSEGV
[abrt] krb5-auth-dialog: strlen(): krb5-auth-dialog killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0ebdcd81bb9b93755f552e95c10...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 17:45 EDT by David Le Sage
Modified: 2016-12-20 09:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:58:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.54 KB, text/plain)
2015-10-12 17:45 EDT, David Le Sage
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-12 17:45 EDT, David Le Sage
no flags Details
File: core_backtrace (3.78 KB, text/plain)
2015-10-12 17:45 EDT, David Le Sage
no flags Details
File: dso_list (10.81 KB, text/plain)
2015-10-12 17:45 EDT, David Le Sage
no flags Details
File: environ (2.08 KB, text/plain)
2015-10-12 17:45 EDT, David Le Sage
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-12 17:45 EDT, David Le Sage
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-12 17:45 EDT, David Le Sage
no flags Details
File: maps (57.99 KB, text/plain)
2015-10-12 17:45 EDT, David Le Sage
no flags Details
File: mountinfo (3.37 KB, text/plain)
2015-10-12 17:45 EDT, David Le Sage
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-12 17:45 EDT, David Le Sage
no flags Details
File: open_fds (789 bytes, text/plain)
2015-10-12 17:45 EDT, David Le Sage
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-10-12 17:45 EDT, David Le Sage
no flags Details

  None (edit)
Description David Le Sage 2015-10-12 17:45:14 EDT
Version-Release number of selected component:
krb5-auth-dialog-3.15.4-2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/krb5-auth-dialog --auto
crash_function: strlen
executable:     /usr/bin/krb5-auth-dialog
global_pid:     2560
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 __strdup at strdup.c:41
 #2 krb5_get_default_realm at hostrealm.c:497
 #3 krb5_parse_name_flags at parse.c:207
 #4 krb5_parse_name at parse.c:237
 #5 ka_parse_name at ka-kerberos.c:667
 #6 ka_renew_credentials at ka-kerberos.c:840
 #7 credentials_expiring at ka-kerberos.c:534
 #8 credentials_expiring_once at ka-kerberos.c:547
 #12 g_main_context_iteration at gmain.c:3901
Comment 1 David Le Sage 2015-10-12 17:45:21 EDT
Created attachment 1082138 [details]
File: backtrace
Comment 2 David Le Sage 2015-10-12 17:45:23 EDT
Created attachment 1082139 [details]
File: cgroup
Comment 3 David Le Sage 2015-10-12 17:45:24 EDT
Created attachment 1082140 [details]
File: core_backtrace
Comment 4 David Le Sage 2015-10-12 17:45:26 EDT
Created attachment 1082141 [details]
File: dso_list
Comment 5 David Le Sage 2015-10-12 17:45:28 EDT
Created attachment 1082142 [details]
File: environ
Comment 6 David Le Sage 2015-10-12 17:45:30 EDT
Created attachment 1082143 [details]
File: exploitable
Comment 7 David Le Sage 2015-10-12 17:45:31 EDT
Created attachment 1082144 [details]
File: limits
Comment 8 David Le Sage 2015-10-12 17:45:34 EDT
Created attachment 1082145 [details]
File: maps
Comment 9 David Le Sage 2015-10-12 17:45:35 EDT
Created attachment 1082146 [details]
File: mountinfo
Comment 10 David Le Sage 2015-10-12 17:45:37 EDT
Created attachment 1082147 [details]
File: namespaces
Comment 11 David Le Sage 2015-10-12 17:45:39 EDT
Created attachment 1082148 [details]
File: open_fds
Comment 12 David Le Sage 2015-10-12 17:45:40 EDT
Created attachment 1082149 [details]
File: proc_pid_status
Comment 13 Fedora End Of Life 2016-11-24 07:46:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 09:58:13 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.